Qpid
  1. Qpid
  2. QPID-4434

Can't build C++ components with cmake if minimum swig version not present

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 0.19
    • Fix Version/s: 0.19
    • Component/s: Build Tools
    • Labels:
      None
    • Environment:

      RHEL 5, CMake build

      Description

      When building the C++ components with cmake, the cmake configure step fails if swig is installed but is prior to version 1.3.32. If the configure fails, no make files are generated and nothing can be built. I believe the C++ components less the swig-generated bindings should still build.

        Activity

        Steve Huston created issue -
        Darryl L. Pierce made changes -
        Field Original Value New Value
        Assignee Darryl L. Pierce [ mcpierce ]
        Darryl L. Pierce made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Fix Version/s 0.19 [ 12322452 ]
        Resolution Fixed [ 1 ]
        Transition Time In Source Status Execution Times Last Executer Last Execution Date
        Open Open Resolved Resolved
        13h 28m 1 Darryl L. Pierce 13/Nov/12 18:20

          People

          • Assignee:
            Darryl L. Pierce
            Reporter:
            Steve Huston
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development